#include <iostream>
#include <bits/stdc++.h>
using namespace std;

const int mod=998244353;

int main()
{
    int n, m, k;

    cin >> n >> m >> k;
    long long colourings;

    if(k==1)
    {
        colourings=1;
        for(int i=0; i<n; i++)
        {
            colourings=((colourings*m)%mod);
        }
        cout << colourings;
    }
    if(k==2)
    {
        long long comp1=m;
        long long comp2=m;

        for(int i=1; i<n; i++)
        {
            comp1=((comp1*(m-1))%mod);
            comp2=((comp2*m)%mod);
        }

        if(comp2<comp1)
        {
            cout << mod+comp2-comp1;
        }
        else
        {
            cout << comp2-comp1;
        }
    }



    return 0;
}
